package com.sundot.airport.exam.logic.eighteen.model.result.subresult;

import com.sundot.airport.exam.enums.QuesOptionTypeEnum;

/**
 * <b>功能名：OptionIn18Exam</b><br>
 * <b>说明：</b> 选项数据 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-06-30 Mokou
 */
public class OptionIn18Exam {
    /**
     * 选项ID
     */
    private String qoId;

    /**
     * 是否为正确答案
     */
    private Boolean qoCorrect;

    /**
     * 选项类型枚举
     */
    private QuesOptionTypeEnum qoOptionType;

    /**
     * 选项内容 文字内容或图片资源ID
     */
    private String qoOption;

    /**
     * 连线题对应的正确项排序号
     */
    private Integer qoConnSort;

    /**
     * 连线题对应的正确项类型
     */
    private QuesOptionTypeEnum qoConnOptType;

    /**
     * 连线题对应的正确项内容 文字内容或图片资源ID
     */
    private String qoConnOpt;

    /**
     * 选项排序
     */
    private Integer sort;


    public String getQoId() {
        return qoId;
    }

    public void setQoId(String qoId) {
        this.qoId = qoId;
    }

    public Boolean getQoCorrect() {
        return qoCorrect;
    }

    public void setQoCorrect(Boolean qoCorrect) {
        this.qoCorrect = qoCorrect;
    }

    public QuesOptionTypeEnum getQoOptionType() {
        return qoOptionType;
    }

    public void setQoOptionType(QuesOptionTypeEnum qoOptionType) {
        this.qoOptionType = qoOptionType;
    }

    public String getQoOption() {
        return qoOption;
    }

    public void setQoOption(String qoOption) {
        this.qoOption = qoOption;
    }

    public Integer getQoConnSort() {
        return qoConnSort;
    }

    public void setQoConnSort(Integer qoConnSort) {
        this.qoConnSort = qoConnSort;
    }

    public QuesOptionTypeEnum getQoConnOptType() {
        return qoConnOptType;
    }

    public void setQoConnOptType(QuesOptionTypeEnum qoConnOptType) {
        this.qoConnOptType = qoConnOptType;
    }

    public String getQoConnOpt() {
        return qoConnOpt;
    }

    public void setQoConnOpt(String qoConnOpt) {
        this.qoConnOpt = qoConnOpt;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "OptionIn18Exam{" +
                "qoId='" + qoId + '\'' +
                ", qoCorrect=" + qoCorrect +
                ", qoOptionType=" + qoOptionType +
                ", qoOption='" + qoOption + '\'' +
                ", qoConnSort=" + qoConnSort +
                ", qoConnOptType=" + qoConnOptType +
                ", qoConnOpt='" + qoConnOpt + '\'' +
                ", sort=" + sort +
                '}';
    }
}
